> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/api-reference/respond-ux-rux/live-documentation.md).

# Live documentation

Temporary page linking to the live v3.x API documentation site until it is migrated into the main Vectra documentation site in a future update.

[Vectra REST API Documentation Website](https://apidocs.vectra.ai/)

This is a live site with the ability to download the API specs in .yaml form and also try live queries against your Vectra tenant. Vectra plans to migrate this content to this documentation site in a future update.

As of today, this site houses only documentation for the v3.x APIs required for interaction with Respond UX (RUX) deployments.  The earliest versions of the v3.x APIs were for Vectra SaaS offerings. If you are unfamiliar with your deployment type, please see [Analyst UX options (RUX vs QUX)](/deployment/getting-started/analyst-ux-options-rux-vs-qux.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.vectra.ai/api-reference/respond-ux-rux/live-documentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
